Megosztás a következőn keresztül:


Certificates - Create Or Update

A Tanúsítvány létrehozása vagy frissítése leírása.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/certificates/{name}?api-version=2025-05-01

URI-paraméterek

Name In Kötelező Típus Description
name
path True

string

A tanúsítvány neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Kérelem törzse

Name Kötelező Típus Description
location True

string

Az a földrajzi hely, ahol az erőforrás él

kind

string

Erőforrás típusa. Ha az erőforrás egy alkalmazás, a https://github.com/Azure/app-service-linux-docs/blob/master/Things_You_Should_Know/kind_property.md#app-service-resource-kind-reference a természetben támogatott értékek részleteiért tekintse meg.

properties.canonicalName

string

Az ingyenes tanúsítványon keresztül kibocsátandó tanúsítvány CNAME

properties.domainValidationMethod

string

Az ingyenes tanúsítvány tartományérvényesítési módszere

properties.hostNames

string[]

A tanúsítványt tartalmazó gazdagépnevek.

properties.keyVaultId

string (arm-id)

Azure Key Vault Csm-erőforrás-azonosító.

properties.keyVaultSecretName

string

Az Azure Key Vault titkos kódneve.

properties.password

string

Tanúsítványjelszó.

properties.pfxBlob

string (byte)

Pfx-blob.

properties.serverFarmId

string (arm-id)

A társított App Service erőforrás-azonosítója.

tags

object

Erőforráscímkék.

Válaszok

Name Típus Description
200 OK

Certificate

Az erőforrás 'Tanúsítvány' frissítési művelete sikeres

Other Status Codes

DefaultErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

Create Or Update Certificate

Mintakérelem

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/certificates/testc6282?api-version=2025-05-01

{
  "location": "East US",
  "properties": {
    "hostNames": [
      "ServerCert"
    ],
    "password": "<password>"
  }
}

Mintaválasz

{
  "name": "testc6282",
  "type": "Microsoft.Web/certificates",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/certificates/testc6282",
  "location": "East US",
  "properties": {
    "expirationDate": "2039-12-31T23:59:59+00:00",
    "friendlyName": "",
    "hostNames": [
      "ServerCert"
    ],
    "issueDate": "2015-11-12T23:40:25+00:00",
    "issuer": "CACert",
    "subjectName": "ServerCert",
    "thumbprint": "FE703D7411A44163B6D32B3AD9B03E175886EBFE"
  }
}

Definíciók

Name Description
Certificate

SSL-tanúsítvány egy alkalmazáshoz.

createdByType

Az erőforrást létrehozó identitás típusa.

DefaultErrorResponse

App Service-hibaválasz.

DefaultErrorResponseError

Hibamodell.

DefaultErrorResponseErrorDetailsItem

Részletes hibák.

HostingEnvironmentProfile

Az erőforráshoz használandó App Service Environment specifikációja.

KeyVaultSecretStatus

A Key Vault titkos kulcsának állapota.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Certificate

SSL-tanúsítvány egy alkalmazáshoz.

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Erőforrás típusa. Ha az erőforrás egy alkalmazás, a https://github.com/Azure/app-service-linux-docs/blob/master/Things_You_Should_Know/kind_property.md#app-service-resource-kind-reference a természetben támogatott értékek részleteiért tekintse meg.

location

string

Az a földrajzi hely, ahol az erőforrás él

name

string

Az erőforrás neve

properties.canonicalName

string

Az ingyenes tanúsítványon keresztül kibocsátandó tanúsítvány CNAME

properties.cerBlob

string (byte)

Nyers bájt .cer fájlból

properties.domainValidationMethod

string

Az ingyenes tanúsítvány tartományérvényesítési módszere

properties.expirationDate

string (date-time)

Tanúsítvány lejárati dátuma.

properties.friendlyName

string

A tanúsítvány rövid neve.

properties.hostNames

string[]

A tanúsítványt tartalmazó gazdagépnevek.

properties.hostingEnvironmentProfile

HostingEnvironmentProfile

A tanúsítványhoz használandó App Service Environment specifikációja.

properties.issueDate

string (date-time)

Tanúsítvány kiállításának dátuma.

properties.issuer

string

Tanúsítványkibocsátó.

properties.keyVaultId

string (arm-id)

Azure Key Vault Csm-erőforrás-azonosító.

properties.keyVaultSecretName

string

Az Azure Key Vault titkos kódneve.

properties.keyVaultSecretStatus

KeyVaultSecretStatus

A Key Vault titkos kulcsának állapota.

properties.password

string

Tanúsítványjelszó.

properties.pfxBlob

string (byte)

Pfx-blob.

properties.publicKeyHash

string

Nyilvános kulcs kivonata.

properties.selfLink

string

Önkapcsolat.

properties.serverFarmId

string (arm-id)

A társított App Service erőforrás-azonosítója.

properties.siteName

string

Alkalmazás neve.

properties.subjectName

string

A tanúsítvány tulajdonosának neve.

properties.thumbprint

string

Tanúsítvány ujjlenyomata.

properties.valid

boolean

Érvényes a tanúsítvány?

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

tags

object

Erőforráscímkék.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service-hibaválasz.

Name Típus Description
error

DefaultErrorResponseError

Hibamodell.

DefaultErrorResponseError

Hibamodell.

Name Típus Description
code

string

Szabványosított sztring a hiba programozott azonosításához.

details

DefaultErrorResponseErrorDetailsItem[]

Részletes hibák.

innererror

string

További információ a hiba hibakereséséről.

message

string

Részletes hibaleírás és hibakeresési információk.

target

string

Részletes hibaleírás és hibakeresési információk.

DefaultErrorResponseErrorDetailsItem

Részletes hibák.

Name Típus Description
code

string

Szabványosított sztring a hiba programozott azonosításához.

message

string

Részletes hibaleírás és hibakeresési információk.

target

string

Részletes hibaleírás és hibakeresési információk.

HostingEnvironmentProfile

Az erőforráshoz használandó App Service Environment specifikációja.

Name Típus Description
id

string

Az App Service-környezet erőforrás-azonosítója.

name

string

Az App Service-környezet neve.

type

string

A App Service Environment erőforrástípusa.

KeyVaultSecretStatus

A Key Vault titkos kulcsának állapota.

Érték Description
Initialized
WaitingOnCertificateOrder
Succeeded
CertificateOrderFailed
OperationNotPermittedOnKeyVault
AzureServiceUnauthorizedToAccessKeyVault
KeyVaultDoesNotExist
KeyVaultSecretDoesNotExist
UnknownError
ExternalPrivateKey
Unknown

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.